Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

Compiling DBD::Pg under 10.3 UNIX
If you are having trouble installing DBD-Pg, the Perl PostgreSQL interface module, under MacOS 10.3, make sure you do the following before running the make process:

tcsh version:
% setenv POSTGRES_LIB "/usr/local/pgsql/lib -lssl -lcrypto"
% setenv POSTGRES_INCLUDE /usr/local/pgsql/include
% setenv POSTGRES_HOME /usr/local/pgsql
bash version:
% export POSTGRES_LIB="/usr/local/pgsql/lib -lssl -lcrypto"
% export POSTGRES_INCLUDE=/usr/local/pgsql/include
% export POSTGRES_HOME=/usr/local/pgsql
And remember that the final make install should really be sudo make install. Don't run the prior perl Makefile.PL, make and make test commands with sudo; either run them as you, or su or login as root, and run the entire process, including the setting of the three variables, as root.

Explanation:
If you leave off the -lssl, the perl Makefile.PL will fail, and if you leave off the -lcrypto, the make will fail. The documentation "suggests" adding these flags, and perhaps it wasn't completely mandatory in Jaguar, but they're definitely required in Panther.

    •    
  • Currently 1.00 / 5
  • 1
  • 2
  • 3
  • 4
  • 5
  (1 vote cast)
 
[3,296 views]  

Compiling DBD::Pg under 10.3 | 2 comments | Create New Account
Click here to return to the 'Compiling DBD::Pg under 10.3' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
Compiling DBD::Pg under 10.3
Authored by: joon on Mar 19, '04 01:52:19PM

How do you enter those strings when your using fink or fink commander? DBD::mysql doesn't seem to work with MovableType. Not sure it's a compile issue but I think it's most likely the case.



[ Reply to This | # ]
Compiling DBD::Pg under 10.3
Authored by: joon on Mar 19, '04 02:00:21PM

Whoops! excuse me.. I'm not using PostgreSQL. Please delete these 2 posts.



[ Reply to This | # ]